%define name kdbg
%define release 2mdk

Name: %{name}
Summary: Graphical debugger for the K Desktop Environment
Version: 1.0.2
Release: %{release}
Source:  %{name}-%{version}.tar.bz2
Group: Development/KDE and QT
Copyright: GPL
URL: http://members.telecom.at/~johsixt/kdbg.html
BuildRoot: /var/tmp/%{name}-buildroot
Requires: qt kdelibs

%description
Graphical debugger for the K Desktop Enviroment.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q 

%build
libtoolize --force
CXXFLAGS="$RPM_OPT_FLAGS" CFLAGS="$RPM_OPT_FLAGS" \
  ./configure --with-install-root=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT    
if [ x"$SMP" != "x" ]; then
  (make "MAKE=make -k -j $SMP"; exit 0)
else
  make
fi

%install
make prefix=$RPM_BUILD_ROOT/usr install

if [ -e $RPM_BUILD_ROOT/usr/share/doc ]; then
  mkdir -p $RPM_BUILD_ROOT/usr/doc
  mv $RPM_BUILD_ROOT/usr/share/doc $RPM_BUILD_ROOT/usr/doc/kde
fi

( cd $RPM_BUILD_ROOT/usr/share/icons/mini; mv mini-kdbg.xpm kdbg.xpm )

# (fg) Menu entry
mkdir -p $RPM_BUILD_ROOT/usr/lib/menu
cat >$RPM_BUILD_ROOT/usr/lib/menu/kdbg <<EOF
?package(kdbg): command="/usr/bin/kdbg" needs="X11" \
icon="kdbg.xpm" \
section="Applications/Development/Tools" \
title="KDE debugger"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ -x /usr/bin/update-menus ] && /usr/bin/update-menus || true

%postun
[ -x /usr/bin/update-menus ] && /usr/bin/update-menus || true

%files
%defattr(-,root,root,755)
/usr/bin/kdbg
/usr/lib/menu/kdbg
%dir /usr/share/icons
/usr/share/icons/kdbg.xpm
%dir /usr/share/icons/mini
/usr/share/icons/mini/kdbg.xpm
/usr/share/apps/kdbg
%dir /usr/share/locale/*/LC_MESSAGES
/usr/share/locale/*/LC_MESSAGES/kdbg.mo
/usr/doc/kde/HTML/*/kdbg/*.html

%changelog

* Wed Mar 22 2000 Francis Galiegue <fg@mandrakesoft.com> 1.0.2-2mdk

- Changed menu entry
- some spec file fixes
- Built on kenobi

* Tue Mar 14 2000 Francis Galiegue <francis@mandrakesoft.com> 1.0.2-1mdk

- Spec file fixes
- Added menu entry
- Changed group to match 7.1 specs

* Wed Jan 19 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0.1-2mdk

- libtoolize --force.

* Mon Dec  6 1999 John Corey <jcorey@mandrakesoft.com>
- 1.0.1 build.

* Mon Nov 29 1999 John Corey <jcorey@mandrakesoft.com>
- Fix the SMP build

* Wed Nov 24 1999 John Corey <jcorey@mandrakesoft.com>
- Rebuild with FHS-2.0 compliance
- Manually move documentation to /usr/doc/kde
- Update for 1.0.0.
- Comment out SMP build.  The install breaks here.

* Wed Sep 22 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build for Cooker.

* Sun Sep 05 1999 Franois PONS <fpons@mandrakesoft.com>
- Using a modified version of acinclude.m4 with a fix for make install.

* Sat Aug 28 1999 Daniel M. Duley <mosfet@linuxmandrake.com>
- Inital RPM.

